Subject: Re: bug#21380: 25.0.50; GTK-induced segfault when scheduling timer from window-configuration-change-hook

From: Po Lu <[email-masked]>
Date: Fri, 29 Apr 2022 21:44:43 +0800

Eli Zaretskii <[email-masked]> writes:

> First, I see no guarantee that atimers cannot run Lisp, ever.  And
> second, even if they don't run Lisp, they could run code which
> directly or indirectly modifies Vtimer_list, and we cannot allow that
> in this case.
>
> IOW, the problem is not that Lisp isn't supposed to run in this
> situation, the problem is that we examine and modify Vtimer_list, so
> we cannot allow any code that could potentially modify that behind our
> backs while we are at that.

Hmm, okay, thanks for explaining.  I guess some code called by the input
polling atimer eventually ends up modifying `timer-list' when input
polling is enabled.